net.corda.core.contracts.clauses

## Class AnyComposition<S extends ContractState,C extends CommandData,K>

- Clause
- - CompositeClause
  - - AnyOf
    - - net.corda.core.contracts.clauses.AnyComposition<S,C,K>

- Deprecated.

      public class AnyComposition<S extends ContractState,C extends CommandData,K>
      extends AnyOf

  Compose a number of clauses, such that any number of the clauses can run.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.contracts.clauses.Clause

      `Clause.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.contracts.clauses.Clause

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnyComposition(net.corda.core.contracts.clauses.Clause rawClauses)` Deprecated. Compose a number of clauses, such that any number of the clauses can run.

  - ### Method Summary

    - ### Methods inherited from class net.corda.core.contracts.clauses.AnyOf

      `getClauses, matchedClauses, toString, verify`

    - ### Methods inherited from class net.corda.core.contracts.clauses.CompositeClause

      `getClauses, getExecutionPath, matchedClauses`

    - ### Methods inherited from class net.corda.core.contracts.clauses.Clause

      `getExecutionPath, getRequiredCommands, verify`

- - ### Constructor Detail

    - #### AnyComposition

          public AnyComposition(net.corda.core.contracts.clauses.Clause rawClauses)

      Deprecated.

      Compose a number of clauses, such that any number of the clauses can run.